package com.outr.webcommunicator.netty

import handler.RequestHandler
import org.powerscala.Priority
import org.jboss.netty.channel.{MessageEvent, ChannelHandlerContext}

/**
 * @author Matt Hicks <matt@outr.com>
 */
trait WebResource {
  def priority = Priority.Normal

  def request(webapp: NettyWebapp, context: ChannelHandlerContext, event: MessageEvent): Option[RequestHandler]
}
