package com.outr.webcommunicator.proxy

import org.jboss.netty.handler.codec.http.HttpRequest
import com.outr.webcommunicator.URL
import com.outr.webcommunicator.netty._

/**
 * @author Matt Hicks <mhicks@outr.com>
 */
trait URLProxy extends HttpRequestProxy {
  def apply(url: URL): Option[(String, Int)]

  def apply(request: HttpRequest): Option[(String, Int)] = apply(request2URL(request))
}
